Name: xchat-ruby
Version: 1.2
Release: 13%{?dist}
Summary: An X-Chat plugin providing scripting functionality with Ruby

Group: Applications/Internet
License: GPLv2+
URL: http://xchat-ruby.sourceforge.net/
Source0: http://downloads.sourceforge.net/xchat-ruby/%{name}-%{version}-src.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch0: xchat-ruby-global-rubyenv.patch
Patch1: xchat-ruby-dont-ignore-cflags.patch
Patch2: xchat-ruby-1.2-fix-null-ptr-deref.diff
Patch3: xchat-ruby-1-2-ruby192-fix.diff

BuildRequires: ruby(abi) = 1.9.1
BuildRequires: ruby-devel ruby
Requires: ruby(abi) = 1.9.1
Requires: xchat

%description
For those of us that prefer the Ruby programming language above all
others, the XChat-Ruby Plugin now allows X-Chat plugins to be written
in Ruby, in addition to the other supported scripting interfaces. This
means that, for the first time, you can use a purely object-oriented
language in which to write X-Chat plugins.


%prep
%setup -q -n xchat-ruby-%{version}-src
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1


%build
cd src
CFLAGS="%{optflags} -I`ruby -e 'puts File.join(RbConfig::CONFIG[%q(includedir)], RbConfig::CONFIG[%q(sitearch)])'`" make %{?_smp_mflags}


%install
rm -rf %{buildroot}
mkdir %{buildroot}
cd src
# xchat-ruby's make install is broken
install -D xchat-ruby.so %{buildroot}%{_libdir}/xchat/plugins/xchat-ruby.so
mkdir -p %{buildroot}%{_sysconfdir}
ruby -e 'puts $:.push(".").join("\n")' > %{buildroot}%{_sysconfdir}/xchat-rubyenv

%clean
rm -rf %{buildroot}


%files
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/xchat-rubyenv
%doc README COPYING
%{_libdir}/xchat/plugins/xchat-ruby.so


%changelog
* Mon Jun 4 2012 Conrad Meyer <konrad@tylerc.org> - 1.2-13
- Fix for Ruby 1.9.2 (#828008) from Pallai Roland

* Wed Feb 08 2012 Bohuslav Kabrda <bkabrda@redhat.com> - 1.2-12
- Rebuilt for Ruby 1.9.3.

* Fri Feb 3 2012 Conrad Meyer <konrad@tylerc.org> - 1.2-11
- Fix null pointer dereference (#787298 reported by Pallai Roland)

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Mon Jul 27 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Feb 9 2008 Conrad Meyer <konrad@tylerc.org> - 1.2-6
- Bump for GCC 4.3 rebuild

* Wed Nov 28 2007 Conrad Meyer <konrad@tylerc.org> - 1.2-5
- SourceURL includes %%{version}
- BuildRequire Ruby 1.8 ABI for consistancy with Require
- Fixed macro in changelog

* Tue Nov 27 2007 Conrad Meyer <konrad@tylerc.org> - 1.2-4
- Default load path now contains arch-specific directories

* Tue Nov 27 2007 Conrad Meyer <konrad@tylerc.org> - 1.2-3
- Fixed xchat-rubyenv for 64-bit
- Patched Makefile to not ignore CFLAGS

* Fri Nov 23 2007 Conrad Meyer <konrad@tylerc.org> - 1.2-2
- Replaced /etc with %%{_sysconfdir}

* Fri Nov 17 2007 Conrad Meyer <konrad@tylerc.org> - 1.2-1
- Initial package.
